Skip to content

Update dependency pycryptodome to v4 - #14645

Open
renovate-bot wants to merge 1 commit into
GoogleCloudPlatform:mainfrom
renovate-bot:renovate/pycryptodome-4.x
Open

renovate-bot wants to merge 1 commit into
GoogleCloudPlatform:mainfrom
renovate-bot:renovate/pycryptodome-4.x

Conversation

@renovate-bot

Copy link
Copy Markdown
Contributor

This PR contains the following updates:

Package Change Age Confidence
pycryptodome (changelog) ==3.21.0 → ==4.0.0 age confidence

Release Notes

Legrandin/pycryptodome (pycryptodome)

v4.0.0: - Grenoble

Compare Source

Major release, with some breaking changes. See Changelog.

v3.24.1: - Frejus

Compare Source

Resolved issues

  • Security: the time to create an ECDSA, EdDSA or DSA signature depended
    on the secret nonce, enough to recover the private key with a lattice attack.
    DSA signing is now about 40% slower with GMP. Thanks to Daniel Bleichenbacher.

v3.24.0: - Evreux

Compare Source

New features

  • Speed up KangarooTwelve by 50% for long messages (1MB or more).
  • New parameter threads for Crypto.Hash.KangarooTwelve.new(),
    to hash long messages on several CPU cores (threads=0 for all of them).
    The output does not depend on the number of threads.

Resolved issues

  • GH#875: Fixed the Object Identifiers (OID) for BLAKE2.
  • Fixed a potential DOS attack when decrypting a password-encrypted PKCS#8 key,
    when the iteration count is enourmous. Decryption will now fail if it exceeds
    50M iterations; the limit can be changed or removed via
    the new max_iteration_count option. Thanks to afldl for reporting.
  • Fixed the maximum number of bytes that GCM should encrypt. Thanks to Loganaden Velvindron.
  • Fixed ECC operations on 32-bit Windows (x86) wheels: due to a compiler bug in
    Visual Studio 2022, the modular inversion skipped half of the exponent bits,
    producing wrong results.
  • Fixed a bug in KangarooTwelve in the scenario where customization string is very
    long (8190 bytes or longer) and the message to hash is empty.

Other changes

  • Build Windows wheel with Visual Studio 2022, from Visual Studio 2019.
  • Remove support for Python 3.7.

v3.23.0: - Dunkerque

Compare Source

New features

  • Added cipher modes Key Wrap (KW, RFC3394) and Key Wrap with Padding (KWP, RFC5649).
    Both are defined also in NIST SP 800-38F.
  • Wheels for Windows ARM.

Resolved issues

  • GH#862: For HashEdDSA and Ed448, sign() and verify() modified the state of the XOF.

v3.22.0: v3.22.0 - Caen

Compare Source

New features

  • Added support for HPKE (RFC 9180).

Resolved issues

  • GH#812: CCM ciphers will now fail before encrypting (or decrypting)
    data beyond the limit imposed by the nonce length.
  • GH#846: fix infinite loop with RC4 for data larger than 4GB.
  • GH#852: handle correctly invalid PEM files with less than 3 lines.

Other changes

  • Remove support for Python 3.6.

Configuration

📅 Schedule: (UTC)

  • Branch creation
    • At any time (no schedule defined)
  • Automerge
    • At any time (no schedule defined)

🚦 Automerge: Disabled by config. Please merge this manually once you are satisfied.

♻ Rebasing: Never, or you tick the rebase/retry checkbox.

🔕 Ignore: Close this PR and you won't be reminded about this update again.


  • If you want to rebase/retry this PR, check this box

This PR was generated by Mend Renovate. View the repository job log.

@renovate-bot
renovate-bot requested review from a team as code owners October 14, 2026 13:17
@trusted-contributions-gcf trusted-contributions-gcf Bot added kokoro:force-run Add this label to force Kokoro to re-run the tests. owlbot:run Add this label to trigger the Owlbot post processor. labels Oct 14, 2026
@product-auto-label product-auto-label Bot added samples Issues that are directly related to samples. api: cloudmedia Issues related to the Media Livestream API. labels Oct 14, 2026
@kokoro-team kokoro-team removed the kokoro:force-run Add this label to force Kokoro to re-run the tests. label Oct 14, 2026

@gemini-code-assist gemini-code-assist Bot left a comment

Copy link
Copy Markdown
Contributor

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

Code Review

This pull request updates the pycryptodome dependency in cloud-media-livestream/keypublisher/requirements.txt from version 3.21.0 to 4.0.0. There are no review comments, and I have no feedback to provide.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment

Labels

api: cloudmedia Issues related to the Media Livestream API. owlbot:run Add this label to trigger the Owlbot post processor. samples Issues that are directly related to samples.

Projects

None yet

Development

Successfully merging this pull request may close these issues.

3 participants